<?php
/**
 * Plugin Name: Eddy Travels
 * Plugin URI: https://eddytravels.com
 * Description: Monetize your website or blog traffic at no cost while providing your visitor with the best travel offers from a world-renowned trailblazing AI assistant.
 * Version: 1.0.7
 * Author: Eddy Travels
 * License: GPLv2 or later
 * Text Domain: eddytravels
 */

include 'src/validate.php';
include 'src/init.php';
include 'src/render.php';
include 'src/bot.php';

// Add a banner inviting to activate the chatbot
register_activation_hook(__FILE__, 'edtr_activation_notice_hook');
function edtr_activation_notice_hook()
{
    // update_option('edtr_enabled', false);
    set_transient('et-notice-activation', true, 5);

    // Reset the chatbot activation on the on/off switch
    add_option('edtr_options', []);

    $edtr_options = get_option('edtr_options');
    $edtr_options['edtr_enabled'] = 0;

    update_option('edtr_options', $edtr_options);
}


add_action('admin_notices', 'edtr_check_activation_notice');
function edtr_check_activation_notice()
{
    if (get_transient('et-notice-activation')) {
?>
        <div class="updated notice-warning">
            <p>
                <b><?php _e('Welcome!', 'eddytravels'); ?></b> <?php _e('You are one step away from providing the best travel deals for your website users.', 'eddytravels'); ?>
                <a href="options-general.php?page=eddytravels"><?php _e('Activate the chatbot now', 'eddytravels'); ?></a>
            </p>
        </div>
        <?php
    }
}
?>