<?php

// Register admin menu
add_action('admin_menu', 'edtr_add_settings_page');
function edtr_add_settings_page()
{
    add_options_page(__('Eddy Travels integration', 'eddytravels'), 'Eddy Travels', 'manage_options', 'eddytravels', 'edtr_render_settings');
}

// Declare option inputs
add_action('admin_init', 'edtr_register_options');
function edtr_register_options()
{
    register_setting('edtr_options', 'edtr_options', 'edtr_validate_settings');

    // General settings
    add_settings_section('edtr_general_settings', __('General Settings', 'eddytravels'), 'edtr_settings_render_title', 'eddytravels');
    
    add_settings_field('edtr_enabled', __('Enable Eddy Travels chat', 'eddytravels'), 'edtr_settings_render_checkbox_input', 'eddytravels', 'edtr_general_settings', ['edtr_enabled']);
    add_settings_field('edtr_general_partner_id', __('Partner ID', 'eddytravels'), 'edtr_settings_render_text_input', 'eddytravels', 'edtr_general_settings', ['edtr_general_partner_id']);
    add_settings_field('edtr_urls', __('Show Eddy Travels only in specific pages', 'eddytravels'), 'edtr_settings_render_textarea_input', 'eddytravels', 'edtr_general_settings', ['edtr_urls']);


    // Color settings
    add_settings_section('edtr_color_settings', __('Choose Colors', 'eddytravels'), 'edtr_settings_render_title', 'eddytravels');

    add_settings_field('edtr_primary_color', __('Primary color for buttons and cards', 'eddytravels'), 'edtr_settings_render_color_input', 'eddytravels', 'edtr_color_settings', ['edtr_primary_color']);
    add_settings_field('edtr_primary_light_color', __('Primary light color for text background', 'eddytravels'), 'edtr_settings_render_color_input', 'eddytravels', 'edtr_color_settings', ['edtr_primary_light_color']);
    // add_settings_field( 'edtr_primary_active_color', __('Primary active color', 'eddytravels'), 'edtr_settings_render_color_input', 'eddytravels', 'edtr_color_settings', ['edtr_primary_active_color'] );
    add_settings_field('edtr_icon_color', __('Icons in the chat header', 'eddytravels'), 'edtr_settings_render_color_input', 'eddytravels', 'edtr_color_settings', ['edtr_icon_color']);


    // Icon settings
    add_settings_section('edtr_icon_settings', __('Use Custom Icons', 'eddytravels'), 'edtr_settings_render_title', 'eddytravels');

    add_settings_field('edtr_bot_icon', __('Bot icon inside the chat', 'eddytravels'), 'edtr_settings_render_img_input', 'eddytravels', 'edtr_icon_settings', ['edtr_bot_icon', __('Select your custom bot icon', 'eddytravels'), 56, 56]);
    add_settings_field('edtr_widget_icon', __('Chat icon on the website', 'eddytravels'), 'edtr_settings_render_img_input', 'eddytravels', 'edtr_icon_settings', ['edtr_widget_icon', __('Select your custom widget icon', 'eddytravels'), 128, 128]);
    add_settings_field('edtr_general_svg', __('Enable SVG upload', 'eddytravels'), 'edtr_settings_render_checkbox_input', 'eddytravels', 'edtr_icon_settings', ['edtr_general_svg']);

    // Preview settings
    add_settings_section('edtr_preview_settings', __('Chat Preview', 'eddytravels'), 'edtr_settings_render_title', 'eddytravels');

    add_settings_field('edtr_header_img', __('Chat header image', 'eddytravels'), 'edtr_settings_render_img_input', 'eddytravels', 'edtr_preview_settings', ['edtr_header_img', __('Select your custom chat header image', 'eddytravels'), -400, 76]); // minus value triggers recommendation only
    add_settings_field('edtr_preview_title', __('Preview button', 'eddytravels'), 'edtr_settings_render_text_input', 'eddytravels', 'edtr_preview_settings', ['edtr_preview_title']);
    add_settings_field('edtr_preview_img', __('Preview image', 'eddytravels'), 'edtr_settings_render_img_input', 'eddytravels', 'edtr_preview_settings', ['edtr_preview_img', __('Select your custom preview image', 'eddytravels'), 670, 500]);
    add_settings_field('edtr_preview_deeplink', __('Deeplink ID', 'eddytravels'), 'edtr_settings_render_text_input', 'eddytravels', 'edtr_preview_settings', ['edtr_preview_deeplink']);
}

// Load CSS & JS resources for admin side of things
add_action('admin_enqueue_scripts', 'edtr_enqueue_admin_resources');
function edtr_enqueue_admin_resources($page)
{
    if ($page === 'settings_page_eddytravels') {
        edtr_enqueue_scripts();

        wp_enqueue_media();
        wp_enqueue_style('wp-color-picker');
        wp_enqueue_style('et-admin-style', plugins_url('../css/et-admin.css', __FILE__));

        wp_enqueue_script('et-admin-script', plugins_url('../js/et-admin.js', __FILE__), ['wp-color-picker'], false, true);
    }
}

?>